Loading...
Searching...
No Matches
EST_Discrete Class Reference

`#include <include/EST_simplestats.h>`

## Public Member Functions

| EST_Discrete (const EST_Discrete &d)
| EST_Discrete (const EST_StrList &vocab)
| Initialise discrete class from given list of strings.
void | copy (const EST_Discrete &d)
bool | init (const EST_StrList &vocab)
| (re-)initialise
const int | length (void) const
| The number of members in the discrete.
const int | index (const EST_String &n) const
const EST_String & | name (const int n) const
| The name given the index.
void | def_val (const EST_String &v)
| set the default value when a name isn't found (-1 by default)
int | name (const EST_String &n) const
| An alternative method for getting the int form the name.
bool | operator== (const EST_Discrete &d)
bool | operator!= (const EST_Discrete &d)
EST_String | print_to_string (int quote=0)
EST_Discrete & | operator= (const EST_Discrete &a)

## Friends

ostream & | operator<< (ostream &s, const EST_Discrete &d)

## Detailed Description

A class for managing mapping string names to integers and back again, mainly used for representing alphabets in n-grams and grammars etc.

This offers an efficient way of mapping a known set of string names to integers. It is initialised from a list of names and builds a index of those names to a set of integers.

Author
  Alan W Black (awb@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk): July 1996

Definition at line 61 of file EST_simplestats.h.

## Constructor & Destructor Documentation

## EST_Discrete() [1/3]

EST_Discrete::EST_Discrete | ( |  | ) |

inline

Definition at line 71 of file EST_simplestats.h.

## EST_Discrete() [2/3]

EST_Discrete::EST_Discrete | ( | const EST_Discrete & | d | ) |

inline

Definition at line 73 of file EST_simplestats.h.

## EST_Discrete() [3/3]

EST_Discrete::EST_Discrete | ( | const EST_StrList & | vocab | ) |

Initialise discrete class from given list of strings.

Definition at line 55 of file EST_Discrete.cc.

## ~EST_Discrete()

EST_Discrete::~EST_Discrete | ( |  | ) |

Definition at line 50 of file EST_Discrete.cc.

## Member Function Documentation

## copy()

void EST_Discrete::copy | ( | const EST_Discrete & | d | ) |

Definition at line 65 of file EST_Discrete.cc.

## init()

bool EST_Discrete::init | ( | const EST_StrList & | vocab | ) |

(re-)initialise

Definition at line 80 of file EST_Discrete.cc.

## length()

const int EST_Discrete::length | ( | void |  | ) | const

inline

The number of members in the discrete.

Definition at line 84 of file EST_simplestats.h.

## index()

const int EST_Discrete::index | ( | const EST_String & | n | ) | const

inline

The int assigned to the given name, if it doesn't exists p_def_val is returned (which is -1 by default)

Definition at line 88 of file EST_simplestats.h.

## name() [1/2]

const EST_String & EST_Discrete::name | ( | const int | n | ) | const

inline

The name given the index.

Definition at line 94 of file EST_simplestats.h.

## def_val()

void EST_Discrete::def_val | ( | const EST_String & | v | ) |

inline

set the default value when a name isn't found (-1 by default)

Definition at line 97 of file EST_simplestats.h.

## name() [2/2]

int EST_Discrete::name | ( | const EST_String & | n | ) | const

inline

An alternative method for getting the int form the name.

Definition at line 100 of file EST_simplestats.h.

## operator==()

bool EST_Discrete::operator== | ( | const EST_Discrete & | d | ) |

Definition at line 109 of file EST_Discrete.cc.

## operator!=()

bool EST_Discrete::operator!= | ( | const EST_Discrete & | d | ) |

Definition at line 116 of file EST_Discrete.cc.

## print_to_string()

EST_String EST_Discrete::print_to_string | ( | int | quote = 0 | ) |

Definition at line 121 of file EST_Discrete.cc.

## operator=()

EST_Discrete & EST_Discrete::operator= | ( | const EST_Discrete & | a | ) |

inline

Definition at line 109 of file EST_simplestats.h.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | const EST_Discrete & | d )

friend

Definition at line 140 of file EST_Discrete.cc.

The documentation for this class was generated from the following files:

- include/EST_simplestats.h
- stats/EST_Discrete.cc